@import url('tabular.css');

body {
    background-image: url("../images/inf_hexagon_grid.png");
    background-repeat: repeat;
    color: hsl(288 0% 20.0%);
    font-family: "Tabular-Medium", serif;
    margin: 0px;
}

blockquote {
    border-left: 4px solid hsl(288 0% 65%);

    font-family: "Tabular-MediumItalic", serif;

    margin: 0px;
}

blockquote p {
    margin-left: 20px;
}

#main {
    background-color: rgb(230,230,240);
    padding: 8px 16px 8px 16px;
    max-width: 800px;
}

@media (min-width: 640px) {
    #main {
        margin: 45px 60px 45px 60px;
        padding: 15px 30px 15px 30px;
    }
}

#header {
    align-items: center;
    display: flex;
    justify-content: space-between;
}

#header-nav {
    display: flex;
    gap: 25px;
    list-style: none;
}

#footer {
    margin-top:45px;
}

h1, h2 {
    font-size: 1.5rem;
}

#article-date {
    padding-left: 10px;
    color: hsl(288 0% 65%);
    font-size: 0.9rem;
}

#article {
    font-size: 0.95rem;
    line-height: 1.5;
}

@media (min-width: 640px) {
    #article {
        font-size: 1.0rem;
    }
}

#article-text {
    border-top: 1px solid hsl(288 0% 65%);
    border-bottom: 1px solid hsl(0, 14%, 81%);
    padding-top: 20px;
}

/**
 * Links
 */
#header-logo a {
    color: hsl(288 0% 20.0%);
    text-decoration: 1;
}
#header-logo a:hover {
    color: hsl(288 0% 35.0%);
    text-decoration: underline;
}

a {
    text-decoration-thickness: 0.03875em;
    text-underline-offset: 0.2em;
    text-decoration-color: hsl(13deg,13%,67%);
    color: hsl(13deg,33%,42%);
}
a:hover {
    text-decoration-thickness: 0.125em;
    text-underline-offset: 0.15em;
    text-decoration-color: currentColor;
}

/**
 * Quotes
 */
.attribution {
    display: block;
    margin: 0px 20px 15px 20px;
    font-size: 0.95rem;
    color: hsl(13deg,33%,42%);
}

blockquote {
    padding: 15px 20px 10px 20px;
}

@media (min-width: 640px) {
    .attribution {
        margin: 0px 40px 25px 40px;
        font-size: 0.9rem;
    }

    blockquote {
        padding: 15px 40px 10px 40px;
    }
}

/**
 * Footnotes hack. Needed just because they're not properly generated. To have any
 * separator between the actual essay and the footnotes we need to manually insert
 * hr into the markdown. Here we style it
 */
hr {
    margin-bottom: 40px;
    margin-top: 40px;
}

hr ~ p {
    font-size: 0.9rem;
    margin-left: 15px;
    margin-right: 15px;
}

hr ~ blockquote {
    font-size: 0.9rem;
    margin-left: 15px;
    margin-right: 15px;
}
